Name: 		kiran-cc-daemon
Version:	2.5.1
Release:	30
Summary:	DBus daemon for Kiran Desktop

License:	MulanPSL-2.0
Source0:	%{name}-%{version}.tar.gz
Source1:	99_unikylin-mate-SettingsDaemon-plugins.gschema.override
Patch0:         0001-fix-translate-add-some-translation.patch
Patch0001:      0001-fix-keyboard-Add-modifier-lock-window-tips-enable-ke.patch
Patch0002:      0001-fix-audio-Fix-coredump-problem-caused-by-nullpointer.patch
Patch0003:      0001-fix-audio-Fix-the-type-of-return-value-in-template.patch
Patch0004:      0001-feature-timedate-Prior-to-select-last-ntp-service-in.patch
Patch0005:      0001-feature-power-Delete-LockScreenWhenHibernate-and-Loc.patch
Patch0006:      0001-fix-identification-issues-in-control-centers.patch
Patch0007:      0001-fix-keybinding-Add-support-desktop-key-for-GC.patch
Patch0008:      0001-fix-display-Add-adaptive-screen-change-flag.patch
patch0009:      0001-fix-systeminfo-Adjusting-the-reading-method-of-cpu-i.patch
Patch0010:      0001-feature-power-Compatiable-two-power-profile-daemon-w.patch
Patch0011:      0001-fix-edid-Fix-the-problem-that-cannot-match-correct-m.patch
Patch0012:      0001-fix-keyboard-Add-capslock-and-numlock-tips-switch.patch
Patch0013:      0001-fix-power-Add-battery-charging-and-discharging-time.patch
Patch0014:      0001-fix-keyboard-Fix-ci-build-error.patch
Patch0015:      0001-fix-display-Fix-nvidia-display-while-no-enabled-moni.patch
Patch0016:      0001-fix-xsettings-Fix-the-problem-that-variable-serial-i.patch
Patch0017:      0001-fix-accounts-Fix-user-icon-file-display-while-change.patch
Patch0018:      0001-fix-keybindings-Remove-power-and-logout-invalid-key-.patch
Patch0019:      0001-fix-power-Change-poweroff-action-from-key-press-to-r.patch
Patch0020:      0001-feature-font-Change-the-default-GTK-application-font.patch
Patch0021:      0001-fix-power-Fix-related-project-build-with-power-event.patch
Patch0022:      0001-fix-display-Fix-multi-screen-auto-display-while-swit.patch
Patch0023:      0001-fix-systeminfo-Fix-to-get-pci-info-for-multiple-devi.patch
Patch0024:	0001-fix-plugin-remove-active-or-deactive-mate-plugin-cod.patch
Patch0025:      0001-fix-display-fix-the-switch-function-invalidation-pro.patch

BuildRequires:	cmake >= 3.2
BuildRequires:	pkgconfig(glibmm-2.4)
BuildRequires:	pkgconfig(giomm-2.4)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(libxml++-2.6)
BuildRequires:	systemd-devel
BuildRequires:  libselinux-devel
BuildRequires:  gettext
BuildRequires:	gcc-c++
BuildRequires:	intltool
BuildRequires:	libX11-devel
BuildRequires:	xerces-c-devel
BuildRequires:	xsd
BuildRequires:	fontconfig-devel
BuildRequires:	jsoncpp-devel
BuildRequires:	cairomm-devel
BuildRequires:  kiran-log-gtk3-devel
BuildRequires:	fmt-devel >= 6.2.1
BuildRequires:  python%{python3_pkgversion}-jinja2
BuildRequires:	gdbus-codegen-glibmm
BuildRequires:  gtest-devel
BuildRequires:  libnotify-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  libgtop2-devel
BuildRequires:  libgudev-devel
BuildRequires:  cryptopp-devel


%description
DBus daemon for Kiran Desktop


%package -n kiran-system-daemon
Summary:    System DBus daemon for Kiran Desktop
Requires:   systemd

%if 0%{?rhel} > 7 || 0%{?openEuler}
Requires:   dbus-daemon
%else
Requires:   dbus
%endif

Requires:   polkit
Requires:   kiran-cc-daemon-common
Requires:   util-linux
Requires:   pciutils
Requires:   libgtop2
Requires:   libgudev
Requires:   lshw
Requires:   passwd
Requires:   iso-codes


%if "%{?kylin}" == ""
Requires:   openeuler-lsb
%else
Requires:   kylin-lsb
%endif

%description -n kiran-system-daemon
System DBus daemon for Kiran Desktop

%package -n kiran-session-daemon
Summary:    Session DBus daemon for Kiran Desktop

%if 0%{?rhel} > 7 || 0%{?openEuler}
Requires:   dbus-daemon
%else
Requires:   dbus
%endif

Requires:   kiran-session-manager
Requires:   xorg-x11-server-utils
Requires:   kiran-cc-daemon-common
Requires:   upower
Requires:   pulseaudio

%description -n kiran-session-daemon
Session DBus daemon for Kiran Desktop

%package common
Summary:    Common files for kiran-session-daemon and kiran-system-daemon

%description common
Common files for kiran-session-daemon and kiran-system-daemon

%package devel
Summary:    Development files for communicating with control center daemon

%description devel
Development files for communicating with control center daemon

%prep
%autosetup -p1

%build

%if "%{ks_custom_name}" == "GC"
%cmake -Dfilter-desktop-extend-key=false
%else
%cmake
%endif

make %{?_smp_mflags}

%install
%make_install
install -D -m 0644 %SOURCE1 %{buildroot}%{_datadir}/glib-2.0/schemas/99_unikylin-mate-SettingsDaemon-plugins.gschema.override

%post -n kiran-system-daemon
%systemd_post kiran-system-daemon.service
systemctl enable kiran-system-daemon.service

%preun -n kiran-system-daemon
%systemd_preun kiran-system-daemon.service

%post -n kiran-session-daemon
glib-compile-schemas /usr/share/glib-2.0/schemas &> /dev/nulls || :

%files -n kiran-system-daemon
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/lightdm/kiran-greeter.conf
%config(noreplace) %{_sysconfdir}/kiran-cc-daemon/system/timedate/timedate.conf
%{_bindir}/kiran-system-daemon
%{_usr}/lib/systemd/system/*.service
%{_libdir}/kiran-cc-daemon/system/*.so
%{_libdir}/kiran-cc-daemon/system/plugin_options
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/locale/zh_CN/LC_MESSAGES/kiran-cc-daemon-timezones.mo
%{_datadir}/locale/bo_CN/LC_MESSAGES/kiran-cc-daemon-timezones.mo
%{_datadir}/locale/kk_KG/LC_MESSAGES/kiran-cc-daemon-timezones.mo
%{_datadir}/locale/kk_KZ/LC_MESSAGES/kiran-cc-daemon-timezones.mo
%{_datadir}/locale/mn_MN/LC_MESSAGES/kiran-cc-daemon-timezones.mo
%{_datadir}/locale/ug_CN/LC_MESSAGES/kiran-cc-daemon-timezones.mo
%{_datadir}/polkit-1/actions/com.kylinsec.Kiran.SystemDaemon*.policy
%{_datadir}/lightdm/lightdm.conf.d/99-kiran-greeter-login.conf

%files -n kiran-session-daemon
%{_sysconfdir}/xdg/autostart/kiran-session-daemon.desktop
%{_sysconfdir}/xdg/autostart/kiran-power-status-icon.desktop
%{_bindir}/kiran-session-daemon
%{_bindir}/kiran-power-backlight-helper
%{_bindir}/kiran-power-status-icon
%{_libdir}/kiran-cc-daemon/session/*.so
%{_libdir}/kiran-cc-daemon/session/plugin_options
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/locale/zh_CN/LC_MESSAGES/kiran-power-status-icon.mo
%{_datadir}/locale/bo_CN/LC_MESSAGES/kiran-power-status-icon.mo
%{_datadir}/locale/kk_KG/LC_MESSAGES/kiran-power-status-icon.mo
%{_datadir}/locale/kk_KZ/LC_MESSAGES/kiran-power-status-icon.mo
%{_datadir}/locale/mn_MN/LC_MESSAGES/kiran-power-status-icon.mo
%{_datadir}/locale/ug_CN/LC_MESSAGES/kiran-power-status-icon.mo
%{_datadir}/polkit-1/actions/com.kylinsec.Kiran.SessionDaemon*.policy
%dir %{_datadir}/kiran-cc-daemon/keybindings
%{_datadir}/kiran-cc-daemon/keybindings/*.xml
%{_datadir}/kiran-cc-daemon/kiran-session-daemon.gresource
%dir %{_datadir}/kiran-cc-daemon/images
%{_datadir}/kiran-cc-daemon/images/*.png
%{_datadir}/glib-2.0/schemas/99_unikylin-mate-SettingsDaemon-plugins.gschema.override

%files common
%{_includedir}/kiran-cc-daemon/error-i.h
%{_datadir}/locale/zh_CN/LC_MESSAGES/kiran-cc-daemon.mo
%{_datadir}/locale/bo_CN/LC_MESSAGES/kiran-cc-daemon.mo
%{_datadir}/locale/kk_KG/LC_MESSAGES/kiran-cc-daemon.mo
%{_datadir}/locale/kk_KZ/LC_MESSAGES/kiran-cc-daemon.mo
%{_datadir}/locale/mn_MN/LC_MESSAGES/kiran-cc-daemon.mo
%{_datadir}/locale/ug_CN/LC_MESSAGES/kiran-cc-daemon.mo

%files devel
%dir %{_includedir}/kiran-cc-daemon
%dir %{_includedir}/kiran-cc-daemon/kiran-system-daemon
%dir %{_includedir}/kiran-cc-daemon/kiran-session-daemon
%{_includedir}/kiran-cc-daemon/kiran-system-daemon/*-i.h
%{_includedir}/kiran-cc-daemon/kiran-session-daemon/*-i.h
%{_libdir}/pkgconfig/kiran-cc-daemon.pc

%changelog
* Sun Oct  8 2023 tangjie02 <tangjie02@kylinsec.com.cn> - 2.5.1-30
- KYOS-B: fix the switch function invalidation problem after turn off monitor, then logout and relogin session.(#17149)

* Mon Sep 18 2023 yuanxing <yuanxing@kylinsec.com.cn> - 2.5.1-29
- KYOS-F: don't close clipboard mate plugin

* Thu Sep 14 2023 yuanxing <yuanxing@kylinsec.com.cn> - 2.5.1-28
- KYOS-F: remove active/deactive mate setting daemon plugin code

* Thu Sep 14 2023 yuanxing <yuanxing@kylinsec.com.cn> - 2.5.1-27
- KYOS-F: add mate settings daemon plugin gschema override file

* Mon Sep 11 2023 longcheng <longcheng@kylinsec.com.cn> - 2.5.1-26
- KYOS-B: change BuildRequires in redhat 7 (#14460) 

* Wed Sep 06 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.1-25
- KYOS-B: Fix to get pci info for multiple device subclass

* Thu Aug 24 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.1-24
- KYOS-B: Fix multi screen auto display while switch style (#13176)

* Wed Aug 23 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.1-23
- KYOS-B: Fix related project build with power event param (#11422)

* Tue Aug 22 2023 luoqing <luoqing@kylinsec.com.cn> - 2.5.1-22
- KYOS-B: Change the default GTK application font size from 10 to 9 (#13006)

* Mon Aug 21 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.1-21
- KYOS-B: Change poweroff action from key press to release (#11422)

* Fri Aug 18 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.1-20
- KYOS-B: Remove power and logout invalid key from normal desktop (#11242)

* Wed Aug 16 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.1-19
- KYOS-F: Fix user icon file display while change and login (#12711)

* Thu Aug 10 2023 tangjie02 <tangjie02@kylinsec.com.cn> - 2.5.1-18
- KYOS-F: Fix the problem that variable serial isn't increased when xsettings registry property is updated.(#11637)

* Mon Jul 31 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.1-17
- KYOS-F: Fix nvidia display while no enabled monitor (#9609)

* Fri Jul 21 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.1-16
- KYOS-F: Add battery charging and discharging time (#9506)
- KYOS-F: Fix ci build error

* Mon Jul 10 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.1-15
- KYOS-F: Add capslock and numlock tips switch (#9379)

* Sat Jul 08 2023 tangjie02 <tangjie02@kylinsec.com.cn> - 2.5.1-13
- KYOS-F: Compatiable two power profile daemon which contains hadess and tuned.
- KYOS-B: Fix the problem that cannot match correct monitor when has same edid.

* Fri Jun 9 2023 wangtaozhi <wangtaozhi@kylinsec.com.cn> - 2.5.1-12
- KYOS-F: Adjusting the reading method of cpu information
- KYOS-F: Resolve program crash issue when exiting the program

* Tue May 30 2023 huangjiawen <huangjiawen@kylinsec.com.cn> - 2.5.1-11
- KYOS-F: Add adaptive screen change flag

* Tue May 30 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.1-10
- KYOS-F: Add support desktop extend key for GC

* Thu May 11 2023 wangtaozhi <wangtaozhi@kylinsec.com.cn> - 2.5.1-9
- KYOS-F: Fix identification issues in the control center

* Wed May 10 2023 tangjie02 <tangjie02@kylinsec.com.cn> - 2.5.1-8
- KYOS-F: Delete LockScreenWhenHibernate and LockScreenWhenSuspend functions and replace suspend/hibernate/shutdown api with SessionManager.

* Thu Apr 27 2023 tangjie02 <tangjie02@kylinsec.om.cn> - 2.5.1-7
- KYOS-F: Prior to select last ntp service in ntp-utils.d directory.

* Sun Apr 23 2023 kpkg <kpkg.kylinsec.com.cn> - 2.5.1-6
- rebuild for KY3.4-5-GC-KiranUI-2.5

* Sun Apr 23 2023 kpkg <kpkg.kylinsec.com.cn> - 2.5.1-5
- rebuild for KY3.4-5-GC-KiranUI-2.5

* Sun Apr 23 2023 wangyucheng <wangyucheng@kylinsec.om.cn> - 2.5.1-4
- KYOS-F: Conditional statement error

* Fri Apr 14 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.1-3
- KYOS-B: Add modifier lock window tips enable key with gsettings (#67766)
- KYOS-B: Fix coredump problem caused by nullpointer to string
- KYOS-B: Fix the type of return value in template

* Mon Apr 10 2023 wangyucheng <wangyucheng@kylinsec.om.cn> - 2.5.1-2
- KYOS-T: add some translation

* Wed Mar 29 2023 tangjie02 <tangjie02@kylinsec.com.cn> - 2.5.1-1
- KYOS-F: Add some power functions. (#68459)

* Fri Mar 24 2023 meizhigang <meizhigang@kylinsec.com.cn> - 2.5.0-1
- KYOS-F: init commit for v2.5 version.

